<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Log-in with European digital ID</title>
    <link rel="stylesheet" href="../css/vendors/bootstrap.min.css">
    <link rel="stylesheet" href="../css/oots-style.css">
    <link rel="stylesheet" href="../css/eID.css">
</head>
<body>

<div class="wrapper">

    <div class="page-header">
        <nav class="navbar navbar-expand-sm navbar-light py-4 border-bottom bg-head-foot-eidas-de"><!-- bg-light -->
            <div class="container-fluid">
                <div class="container">
                    <div class="d-flex w-100 justify-content-between align-items-center" href="#">
                        <div class="d-flex align-items-center justify-content-around">
                            <img src="../images/bundID-white-logo.svg" height="64"/>
                            <h5 class="m-0 ms-3 bold"></h5>
                        </div>
                        <div class="d-lg-flex d-none justify-content-evenly gap-5 text-white">
                            <div class="language fs-6">
                                ENGLISH
                            </div>
                            <div class="language fs-6 text-decoration-underline">
                                HELP
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </div>

    <div class="page-body my-5">

        <div class="my-5">
            <h1 class="text-center px-5">Sign-in with European digital ID</h1>
        </div>

        <div class="d-flex justify-content-center mx-5 mx-lg-0">
            <div class="bg-background rounded-5 p-4 py-5 p-lg-5">
                <div class="d-flex flex-column mb-5">
                    <label for="country">Select the country where your digital identity is issued</label>
                    <div class="dropdown-wrapper">
                        <select class="vodiapicker" id="country">
                            <option class="custom-placeholder" value="">Country</option>

                            <option value="Austria" data-thumbnail="../images/flags/at.svg">Austria
                            </option>
                            <option disabled value="Belgium" data-thumbnail="../images/flags/be.svg">Belgium
                            </option>

                            <option value="Bulgaria" data-thumbnail="../images/flags/bg.svg">Bulgaria
                            </option>

                            <option value="Croatia" data-thumbnail="../images/flags/hr.svg">Croatia
                            </option>
                            <option value="Cyprus" data-thumbnail="../images/flags/cy.svg">Cyprus
                            </option>

                            <option value="Czech" data-thumbnail="../images/flags/cz.svg">Czech
                                Republic
                            </option>
                            <option value="Denmark" data-thumbnail="../images/flags/dk.svg">Denmark
                            </option>
                            <option value="Estonia" data-thumbnail="../images/flags/ee.svg">
                                Estonia
                            </option>

                            <option value="France" data-thumbnail="../images/flags/fr.svg">
                                France
                            </option>

                            <option value="Germany" data-thumbnail="../images/flags/de.svg">Germany
                            </option>
                            <option value="Greece" data-thumbnail="../images/flags/gr.svg">Greece
                            </option>

                            <option value="Hungary" data-thumbnail="../images/flags/hu.svg">Hungary
                            </option>

                            <option value="Iceland" data-thumbnail="../images/flags/is.svg">Iceland
                            </option>

                            <option value="Ireland" data-thumbnail="../images/flags/ie.svg">Ireland
                            </option>

                            <option value="Italy" data-thumbnail="../images/flags/it.svg">Italy
                            </option>
                            <option value="Latvia" data-thumbnail="../images/flags/lv.svg">Latvia
                            </option>
                            <option value="Lithuania" data-thumbnail="../images/flags/lt.svg">Lithuania
                            </option>
                            <option value="Luxembourg" data-thumbnail="../images/flags/lu.svg">Luxembourg
                            </option>
                            <option value="Netherlands" data-thumbnail="../images/flags/nl.svg">Netherlands
                            </option>

                            <option value="Norway" data-thumbnail="../images/flags/no.svg">Norway
                            </option>

                            <option value="Poland" data-thumbnail="../images/flags/pl.svg">Poland
                            </option>
                            <option value="Portugal" data-thumbnail="../images/flags/pt.svg">Portugal
                            </option>
                            <option value="Romania" data-thumbnail="../images/flags/ro.svg">Romania
                            </option>
                            <option value="Slovakia" data-thumbnail="../images/flags/sk.svg">Slovakia
                            </option>

                            <option value="Slovenia" data-thumbnail="../images/flags/si.svg">Slovenia
                            </option>

                            <option value="Spain" data-thumbnail="../images/flags/es.svg">Spain
                            </option>
                            <option value="Sweden" data-thumbnail="../images/flags/se.svg">Sweden
                            </option>
                        </select>

                        <div class="lang-select">
                            <input class="btn-select">
                            <div class="b">
                                <ul id="a"><li value="" data-disabled="true"><p><span>Country</span></p><p><small>Not available yet</small></p></li><li value="Austria" data-disabled="true"><p><img src="../images/flags/at.svg" alt=""><span>Austria
                            </span></p><p><small>Not available yet</small></p></li><li value="Belgium" data-disabled="false"><p><img src="../images/flags/be.svg" alt=""><span>Belgium
                            </span></p><p><small></small></p></li><li value="Bulgaria" data-disabled="true"><p><img src="../images/flags/bg.svg" alt=""><span>Bulgaria
                            </span></p><p><small>Not available yet</small></p></li><li value="Croatia" data-disabled="true"><p><img src="../images/flags/hr.svg" alt=""><span>Croatia
                            </span></p><p><small></small></p></li><li value="Czech" data-disabled="true"><p><img src="../images/flags/cz.svg" alt=""><span>Czech
                                Republic
                            </span></p><p><small>Not available yet</small></p></li><li value="Denmark" data-disabled="true"><p><img src="../images/flags/dk.svg" alt=""><span>Denmark
                            </span></p><p><small></small></p></li><li value="Germany" data-disabled="true"><p><img src="../images/flags/de.svg" alt=""><span>Germany
                            </span></p><p><small></small></p></li><li value="Italy" data-disabled="true"><p><img src="../images/flags/it.svg" alt=""><span>Italy
                            </span></p><p><small></small></p></li><li value="Latvia" data-disabled="true"><p><img src="../images/flags/lv.svg" alt=""><span>Latvia
                            </span></p><p><small></small></p></li><li value="Lithuania" data-disabled="true"><p><img src="../images/flags/lt.svg" alt=""><span>Lithuania
                            </span></p><p><small></small></p></li><li value="Luxembourg" data-disabled="true"><p><img src="../images/flags/lu.svg" alt=""><span>Luxembourg
                            </span></p><p><small></small></p></li><li value="Netherlands" data-disabled="true"><p><img src="../images/flags/nl.svg" alt=""><span>Netherlands
                            </span></p><p><small></small></p></li><li value="Portugal" data-disabled="true"><p><img src="../images/flags/pt.svg" alt=""><span>Portugal
                            </span></p><p><small></small></p></li><li value="Slovakia" data-disabled="true"><p><img src="../images/flags/sk.svg" alt=""><span>Slovakia
                            </span></p><p><small></small></p></li><li value="Spain" data-disabled="true"><p><img src="../images/flags/es.svg" alt=""><span>Spain
                            </span></p><p><small></small></p></li><li value="Sweden" data-disabled="true"><p><img src="../images/flags/se.svg" alt=""><span>Sweden
                            </span></p><p><small></small></p></li></ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex justify-content-center gap-3 mt-3">
                    <button class="btn btn-outline-primary">Cancel</button>
                    <button class="btn btn-primary" id="continue-bth" disabled="">
                        Continue
                    </button><!--data-modalid="redirecting" data-destination="NAS-Belgium.html"-->
                </div>
            </div>

        </div>

        <div class="d-flex justify-content-center mt-5">
            <div class="center p-3">
                <p>If your country cannot be selected, then the cross-border authentication is not available yet. If
                    this is the case, then please go back to the service and use another way to login. Your country will
                    become available in the future.</p>

                <p><a target="_blank" href="https://ec.europa.eu/digital-building-blocks/sites/display/DIGITAL/eID+for+You">Learn more about cross-border authentication</a></p>
            </div>
        </div>

    </div>

    <div class="page-footer mt-3">
        <footer class="text-center text-lg-start berlin-footer bg-head-foot-eidas-de">
            <section>
                <div class="text-white py-4 col-10 m-auto text-center">
                    <div class="row mt-3">

                        <!-- Grid column -->
                        <div class="col-md-4 col-lg-4 col-xl-4 mx-auto mb-4">
                            <!-- Links -->
                            <h6 class="bold mb-4">
                                © Federal Ministry of the Interior and Community, 2023
                            </h6>
                        </div>
                        <!-- Grid column -->

                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline">
                                <span>Site notice</span>
                            </p>
                            <p>
                        </div>
                        <!-- Grid column -->
                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline">Privacy</p>
                        </div>
                        <!-- Grid column -->
                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline">Accessibility statement</p>
                        </div>
                        <!-- Grid column -->

                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline">Contact</p>
                        </div>


                    </div>
                    <!-- Grid row -->
                </div>
            </section>
        </footer>
    </div>

    <div id="loading"
         style="position: fixed; width: 100%;height: 100%; left: 0; top: 0; background: rgba(51, 51, 51, 0.85); display: none">
        <div class="d-flex justify-content-center" style="margin-top: 50vh;">
            <div class="loader"></div>
        </div>
        <!--    <div class="d-flex justify-content-center" style="margin-top: 50vh;">-->

        <div class="modal" tabindex="-1" role="dialog" id="consent-to-request">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-body p-5">
                        <h1 class="text-center">
                            Consent to request data
                        </h1>
                        <h4 class="text-center my-4">
                            Can we request your personal data from
                            <span class="fst-italic">Belgium</span>
                            and share it with <span class="fst-italic">German financing aid & Scholarships</span>?
                        </h4>

                        <div class="m-auto col-lg-8 p-3 bg-neutral-50 rounded-5 my-5">
                            <h6>
                                Your personal data to be requested:
                            </h6>
                            <ul class="fst-italic">
                                <li>current family name(s)</li>
                                <li>current first name(s)</li>
                                <li>date of birth</li>
                                <li>unique identifier</li>
                            </ul>
                        </div>
                        <div class="d-flex justify-content-center gap-3 mb-5">
                            <button type="button" class="btn btn-outline-primary">Cancel</button>
                            <button type="button" class="btn btn-primary open-modal" data-modalid="redirecting"
                                    data-destination="NAS-Belgium.html">Consent
                            </button>
                        </div>
                        <div class="mt-3">
                            <p>Learn more about how we collect, use, share and protect your personal data on our Privacy
                                Policy.</p>
                            <p>Learn more about cross-border authentication</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal" tabindex="-1" role="dialog" id="redirecting">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-body p-5">
                        <h1 class="text-center mb-4">
                            We are redirecting you
                        </h1>
                        <div class="d-flex justify-content-center align-items-center my-3 gap-4">
                            <div class="d-flex flex-column text-center col-lg-4 col-5">
                                <div class="regular">FROM</div>
                                <div class="bold my-3">National Authentication Service</div>
                                <div class="d-flex justify-content-center align-items-center gap-2">
                                    <span>GERMANY</span> <img src="../images/flags/de.svg" height="20">
                                </div>
                            </div>
                            <div class="arrows-animation col-lg-3 col-1">
                                <img class="first d-none d-lg-inline" src="../images/arrow-right.svg" height="12">
                                <img class="second d-none d-lg-inline" src="../images/arrow-right.svg" height="12">
                                <img class="third d-none d-lg-inline" src="../images/arrow-right.svg" height="12">
                                <img class="forth" src="../images/arrow-right.svg" height="12">
                            </div>
                            <div class="d-flex flex-column text-center col-lg-4 col-6 p-3 rounded-5 bg-neutral-100">
                                <div class="regular">TO</div>
                                <div class="bold my-3">National Authentication Service</div>
                                <div class="d-flex justify-content-center align-items-center gap-2">
                                    <span>Belgium</span> <img src="../images/flags/be.svg" height="20">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--<div class="modal-footer justify-content-center p-3 text-center bg-neutral-400 text-white">
                        <div><p class="fw-light">As part of the</p>
                            <p class="bold">Apply for study financing in Germany</p></div>
                    </div>-->
                </div>
            </div>
        </div>

    </div>
</div>

<script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
<script type="text/javascript">
    (function () {
        window.onpageshow = function (event) {
            if (event.persisted) {
                window.location.reload();
            }
        };
        sessionStorage.setItem('currentSite', 'eidas');

        const continueBtn = document.getElementById('continue-bth');
        continueBtn.addEventListener('click', function (){
            let loading = document.getElementById("loading");
            loading.style.display = 'block';
            setTimeout(function () {
                window.location.href='NAS-Belgium.html';
            }, 2500);
        })
    })();

</script>
<script src="../js/eidas.js"></script>
<script src="../js/modal.js"></script>
</body>
</html>
